# -*- coding: utf-8 -*-


# Vendor Library
from django.utils.datastructures import SortedDict


APPLICATION_INDEXES = SortedDict([
    ('1', u'(1)Общее количество подданых заявлений'
          u' на постановку в очередь %s'),
    ('1.1', u'(1.1)Общее количество подданых заявлений'
            u' на постановку в очередь %s (на текущую дату)'),
    ('2', u'(2)Общее количество заявлений поданных c портала'),
    ('2.1', u'(2.1)Общее количество заявлений подданых с портала'
            u' (на текущую дату)'),
    ('3', u'(3)Общее количество заявлений поданных при личном обращении'),
    ('3.1', u'(3.1)Общее количество заявлений поданных '
            u'при личном обращении (на текущую дату)'),
    ('4', u'(4)Общее количество поданных заявлений на постановку в очередь в '
          u'негосударственные ДОО детей в возрасте %s'),
    ('4.1', u'(4.1)Общее количество поданных заявлений на постановку в очередь в '
            u'негосударственные ДОО детей в '
            u'возрасте %s (на текущую дату)'),
    ('5', u'(5)Общее количество поданных заявлений на постановку в очередь у ИП, '
          u'реализующих программы дошкольного образования, '
          u'детей в возрасте %s'),
    ('5.1', u'(5.1)Общее количество поданных заявлений на постановку в очередь у ИП, '
            u'реализующих программы дошкольного образования, '
            u'детей в возрасте %s (на текущую дату)'),
    ('6', u'(6)Общее количество поданных заявлений на постановку в очередь в '
          u'группы кратковременного пребывания детей в возрасте %s'),
    ('6.1', u'(6.1)Общее количество поданных заявлений на постановку в очередь в '
            u'группы кратковременного пребывания '
            u'детей в возрасте %s (на текущую дату)'),
    ('36', u'(36)Количество отказов')
])


QUEUE_INDEXES = SortedDict([
    ('7', u'(7)Количество детей в очереди (отложенный спрос) в возрасте %s'),
    ('7.1', u'(7.1)Количество детей в очереди (отложенный спрос) в возрасте %s '
            u'(на текущую дату)'),
    ('7.2', u'(7.2)Численность детей в очереди в государственные и муниципальные '
            u'дошкольные образовательные организации на следующий учебный год '
            u'в возрасте %s (спрос на текущий учебный год)'),
    ('7.3', u'(7.3)Численность детей в очереди в государственные и муниципальные '
            u'дошкольные образовательные организации на следующий учебный '
            u'год в возрасте %s (отложенный спрос на следующий учебный год)'),
    ('8', u'(8)Численность детей в очереди (с учетом детей, желающих сменить организацию) '
          u'в государственные и муниципальные дошкольные образовательные организации '
          u'в возрасте %s'),
    ('8.1', u'(8.1)Численность детей в очереди (с учетом детей, желающих сменить организацию) '
            u'в государственные и муниципальные дошкольные образовательные организации '
            u'в возрасте %s (на текущую дату)'),
    ('9', u'(9)Численность детей в очереди, имеющих право на льготное зачисление в '
          u'государственные и муниципальные дошкольные образовательные организации '
          u'возрасте %s'),
    ('9.1', u'(9.1)Численность детей в очереди, имеющих право на льготное зачисление в '
            u'государственные и муниципальные дошкольные образовательные организации '
            u'возрасте %s (на текущую дату)'),
    ('10', u'(10)Количество детей в очереди, имеющих право на '
           u'льготное зачисление на основании федеральных льгот'),
    ('11', u'(11)Количество детей в очереди, имеющих право на '
           u'льготное зачисление на основании региональных льгот'),
    ('12', u'(12)Численность детей в очереди в государственные и муниципальные '
           u'дошкольные образовательные организации с ограниченными возможностями '
           u'здоровья в возрасте %s'),
    ('12.1', u'(12.1)Численность детей в очереди в государственные и муниципальные '
             u'дошкольные образовательные организации с ограниченными возможностями '
             u'здоровья в возрасте %s (на текущую дату)'),
    ('13', u'(13)Численность детей в очереди, нуждающихся в компенсирующих группах в '
           u'государственные и муниципальные дошкольные образовательные организации'),
    ('13.1', u'(13.1)Численность детей в очереди, нуждающихся в компенсирующих группах в '
             u'государственные и муниципальные дошкольные образовательные организации '
             u'в возрасте %s (на текущую дату)'),
    ('14', u'(14)Численность детей в очереди, нуждающихся в оздоровительных группах в '
           u'государственные и муниципальные дошкольные образовательные организации'),
    ('14.1', u'(14.1)Численность детей в очереди, нуждающихся в оздоровительных группах в '
             u'государственные и муниципальные дошкольные образовательные организации'
             u' в возрасте %s (на текущую дату)'),
    ('15', u'(15)Численность детей в очереди в негосударственные организации, имеющие лицензию '
           u'для реализации образовательной программы дошкольного образования и не имеющих такой '
           u'лицензии (места для присмотра и ухода) в возрасте %s'),
    ('15.1', u'(15.1)исленность детей в очереди в негосударственные организации, имеющие лицензию '
             u'для реализации образовательной программы дошкольного образования и не имеющих такой '
             u'лицензии (места для присмотра и ухода) в возрасте %s (на текущую дату)'),
    ('16', u'(16)Численность детей в очереди у ИП, имеющих лицензию для реализации '
           u'образовательной программы дошкольного образования и не имеющих '
           u'такой лицензии (места для присмотра и ухода), в возрасте %s'),
    ('16.1', u'(16.1)Численность детей в очереди у ИП, имеющих лицензию для реализации '
             u'образовательной программы дошкольного образования и не имеющих '
             u'такой лицензии (места для присмотра и ухода), в возрасте %s '
             u'(на текущую дату)'),
    ('17', u'(17)Численность детей в очереди в государственные и муниципальные '
           u'дошкольные образовательные организации в группы кратковременного '
           u'пребывания в возрасте %s'),
    ('17.1', u'(17.1)Численность детей в очереди в государственные и муниципальные '
             u'дошкольные образовательные организации в группы кратковременного '
             u'пребывания в возрасте %s (на текущую дату)'),
    ('18', u'(18)Количество детей в очереди, необеспеченных местом в ДОО в '
           u'возрасте %s (актуальный спрос)'),
    ('18.1', u'(18.1)Количество детей в очереди, необеспеченных местом в ДОО в '
             u'возрасте %s (актуальный спрос)(на текущую дату)'),
    ('37', u'(37)Численность детей, не обеспеченных местом в дошкольных образовательных '
           u'организациях на текущую дату в возрасте %s (актуальный спрос)'),
    ('38', u'(38)Численность детей, поставленных на учет в текущем учебном году, '
           u'нуждающихся в предоставлении места в учреждении в текущем учебном '
           u'году, не обеспеченных местом в на текущую дату в возрасте %s'),
    ('39', u'(39)Численность детей, поставленных на учет в текущем учебном году, '
           u'нуждающихся в предоставлении места в учреждении в текущем учебном '
           u'году, желаемая дата зачисления которых еще не наступила в возрасте %s'),
    ('40', u'(40)Численность детей, поставленных на учет в текущем учебном году, '
           u'нуждающихся в предоставлении места в учреждении в текущем учебном году '
           u'в возрасте %s'),
    ('41', u'(41)Численность детей, поставленных на учет, нуждающихся в '
           u'предоставлении места в учреждении (отложенных спрос) в '
           u'возрасте %s'),
    ('42', u'(42)Численность детей, поставленных на учет для предоставления '
           u'места в дошкольных образовательных организациях в возрасте %s')

])


ENROLLED_INDEXES = SortedDict([
    ('19', u'(19)Количество зачисленных детей в возрасте %s'),
    ('19.1', u'(19.1)Количество зачисленных детей в возрасте %s (на текущую дату)'),
    ('20', u'(20)Численность детей, желающих сменить государственные и муниципальные '
           u'дошкольные образовательные организации'),
    ('20.1', u'(20.1)Численность детей, желающих сменить государственные и муниципальные '
             u'дошкольные образовательные организации (на текущую дату)'),
    ('20.2', u'(20.2)Численность детей, желающих сменить государственные и '
             u'муниципальные дошкольные образовательные организации с группами для '
             u'детей с ограниченными возможностями здоровья'),
    ('21', u'(21)Количество детей, зачисленных в группы для детей с '
           u'ограниченными возможностями здоровья в возрасте'),
    ('22', u'(22)Численность детей, зачисленных в государственные и '
           u'муниципальные дошкольные образовательные организации в группы '
           u'для детей с ограниченными возможностями здоровья в возрасте %s'),
    ('22.1', u'(22.1)Численность детей, зачисленных в государственные и '
             u'муниципальные дошкольные образовательные организации в группы '
             u'для детей с ограниченными возможностями здоровья в возрасте %s '
             u'(на текущую дату)'),
    ('23', u'(23)Численность детей, зачисленных в государственные и '
           u'муниципальные дошкольные образовательные организации в '
           u'компенсирующих группах в возрасте'),
    ('23.1', u'(23.1)Численность детей, зачисленных в государственные '
             u'и муниципальные дошкольные образовательные организации в '
             u'компенсирующих группах в возрасте %s (на текущую дату)'),
    ('24', u'(24)Численность детей, зачисленных в государственные '
           u'и муниципальные дошкольные образовательные организации в '
           u'оздоровительных группах в возрасте'),
    ('24.1', u'(24.1)Численность детей, зачисленных в государственные и '
             u'муниципальные дошкольные образовательные организации в '
             u'оздоровительных группах в возрасте %s (на текущую дату)'),
    ('25', u'(25)Численность детей, зачисленных у ИП, реализующих программы '
           u'дошкольного образования, имеющих лицензию для реализации '
           u'образовательной программы дошкольного образования в возрасте %s'),
    ('25.1', u'(25.1)Численность детей, зачисленных у ИП, реализующих программы '
             u'дошкольного образования, имеющих лицензию для реализации '
             u'образовательной программы дошкольного образования в возрасте %s '
             u'(на текущую дату)'),
    ('26', u'(26)Численность детей, зачисленных у ИП, реализующих программы '
           u'дошкольного образования, имеющих лицензию для реализации '
           u'образовательной программы дошкольного образования в возрасте %s'),
    ('26.1', u'(26.1)Численность детей, зачисленных у ИП, реализующих программы '
             u'дошкольного образования, имеющих лицензию для реализации '
             u'образовательной программы дошкольного образования в возрасте %s '
             u'(на текущую дату)'),
    ('27', u'(27)Численность детей, зачисленных в группы кратковременного '
           u'пребывания в государственные и муниципальные дошкольные образовательные '
           u'организации, в возрасте %s'),
    ('27.1', u'(27.1)Численность детей, зачисленных в группы кратковременного '
             u'пребывания в государственные и муниципальные дошкольные образовательные '
             u'организации, в возрасте %s (на текущуб дату)'),
    ('28', u'(28)Количество детей, зачисленных  в негосударственные ДОО, в возрасте %s'),
    ('29', u'(29)Количество детей, зачисленных у ИП, реализующих программы '
           u'дошкольного образования, в возрасте %s'),
    ('30', u'(30)Численность детей в государственных и муниципальных дошкольных '
           u'образовательных организациях в возрасте %s'),
    ('30.1', u'(30.1)Численность детей в государственных и муниципальных дошкольных '
             u'образовательных организациях в возрасте %s (на текущую дату)')
])


CAPACITIES_INDEXES = SortedDict([
    ('31', u'(31)Количество свободных мест в государственных и муниципальных '
           u'дошкольных образовательных организациях на дату сбора отчета '
           u'в возрастных группах в возрасте %s'),
    ('31.1', u'(31.1)Количество свободных мест в государственных и муниципальных '
             u'дошкольных образовательных организациях на дату сбора отчета в возрастных группах'),
    ('32', u'(32)Количество свободных мест в государственных и муниципальных дошкольных '
           u'образовательных организациях в группах для детей с ограниченными '
           u'возможностями здоровья в возрасте %s'),
    ('32.1', u'(32.1)Количество свободных мест в государственных и муниципальных дошкольных '
             u'образовательных организациях в группах для детей с ограниченными '
             u'возможностями здоровья в возрасте %s'),
    ('32.2', u'(32.2)Количество свободных мест в группах для детей '
             u'компенсирующей направленности в возрасте %s'),
    ('32.3', u'(32.3)Количество свободных мест в группах для детей '
             u'оздоровительной направленности в возрасте %s'),
    ('33', u'(33)Количество свободных мест в негосударственных дошкольных '
           u'образовательных организациях, имеющих лицензию для реализации '
           u'образовательной программы дошкольного образования и не имеющих '
           u'такой лицензии в возрасте %s'),
    ('33.1', u'(33.1)Количество свободных мест в негосударственных дошкольных '
             u'образовательных организациях, имеющих лицензию для реализации '
             u'образовательной программы дошкольного образования и не '
             u'имеющих такой лицензии в возрасте %s'),
    ('34', u'(34)Количество свободных мест в группах у ИП, имеющих лицензию '
           u'для реализации образовательной программы дошкольного образования '
           u'и не имеющих такой лицензии (места для присмотра и ухода) '
           u'в возрасте %s'),
    ('34.1', u'(34.1)Количество свободных мест в группах у ИП, имеющих '
             u'лицензию для реализации образовательной программы дошкольного '
             u'образования и не имеющих такой лицензии '
             u'(места для присмотра и ухода) в возрасте %s'),
    ('35', u'(35)Количество свободных мест в группах кратковременного '
           u'пребывания в государственных и муниципальных дошкольных '
           u'образовательных организациях в возрасте %s'),
    ('35.1', u'(35.1)Количество свободных мест в группах кратковременного '
             u'пребывания в государственных и муниципальных дошкольных '
             u'образовательных организациях в возрасте %s')
])


SEND_EXCLUDE_INDEXES = [
    '13',
    '14',
    '2',
    '20',
    '23',
    '24',
    '3',
    '31',
    '32',
    '33',
    '34',
    '35'
]